cURL
curl --request POST \
--url https://api.example.com/v1/panel/system/jobs/{operationID}/retry \
--header 'X-CSRF-Token: <x-csrf-token>'import requests
url = "https://api.example.com/v1/panel/system/jobs/{operationID}/retry"
headers = {"X-CSRF-Token": "<x-csrf-token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-CSRF-Token': '<x-csrf-token>'}};
fetch('https://api.example.com/v1/panel/system/jobs/{operationID}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/panel/system/jobs/{operationID}/retry",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-CSRF-Token: <x-csrf-token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/panel/system/jobs/{operationID}/retry"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-CSRF-Token", "<x-csrf-token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/panel/system/jobs/{operationID}/retry")
.header("X-CSRF-Token", "<x-csrf-token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/panel/system/jobs/{operationID}/retry")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-CSRF-Token"] = '<x-csrf-token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entitlementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operation": "<string>",
"status": "<string>",
"attemptCount": 123,
"nextAttemptAt": "2023-11-07T05:31:56Z",
"correlationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastErrorCode": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"request_id": "<string>"
}panel
Post v1panelsystemjobs retry
Requires system.write. The retry keeps the operation’s idempotency key, so the worker still performs it exactly once. A succeeded operation is not retryable.
POST
/
v1
/
panel
/
system
/
jobs
/
{operationID}
/
retry
cURL
curl --request POST \
--url https://api.example.com/v1/panel/system/jobs/{operationID}/retry \
--header 'X-CSRF-Token: <x-csrf-token>'import requests
url = "https://api.example.com/v1/panel/system/jobs/{operationID}/retry"
headers = {"X-CSRF-Token": "<x-csrf-token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-CSRF-Token': '<x-csrf-token>'}};
fetch('https://api.example.com/v1/panel/system/jobs/{operationID}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/panel/system/jobs/{operationID}/retry",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-CSRF-Token: <x-csrf-token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/panel/system/jobs/{operationID}/retry"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-CSRF-Token", "<x-csrf-token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/panel/system/jobs/{operationID}/retry")
.header("X-CSRF-Token", "<x-csrf-token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/panel/system/jobs/{operationID}/retry")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-CSRF-Token"] = '<x-csrf-token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entitlementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operation": "<string>",
"status": "<string>",
"attemptCount": 123,
"nextAttemptAt": "2023-11-07T05:31:56Z",
"correlationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastErrorCode": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"request_id": "<string>"
}Headers
Echoes the token from the current session. Required on every unsafe method.
Path Parameters
Response
Requeued
A classification, never a provider message.